apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: openbao
  namespace: argocd
  labels:
    env: dev
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  project: default
  syncPolicy:
    automated:
      selfHeal: false
    syncOptions:
      - CreateNamespace=true
  destination:
    name: in-cluster
    namespace: openbao
  sources:
    - repoURL: https://github.com/openbao/openbao-helm.git
      path: charts/openbao
      targetRevision: HEAD
      helm:
        valueFiles:
          - $values/rire/otc.c-one-infra.de/stacks/ref-implementation/openbao/values.yaml
    - repoURL: https://forgejo.edf-bootstrap.cx.fg1.ffm.osc.live/DevFW-CICD/stacks-instances
      targetRevision: HEAD
      ref: values
    - repoURL: https://forgejo.edf-bootstrap.cx.fg1.ffm.osc.live/DevFW-CICD/stacks-instances
      targetRevision: HEAD
      path: "rire/otc.c-one-infra.de/stacks/ref-implementation/openbao/manifests"
  ignoreDifferences:
    - group: admissionregistration.k8s.io
      kind: MutatingWebhookConfiguration
      jqPathExpressions:
        - .webhooks[]?.clientConfig.caBundle
